// A rectangular box
class Boundary {
  //  Instead of any of the usual variables, we will store a reference to a Box2D Body
  Body body;      

  int w,h;

  Boundary(int x, int y, int w, int h) {
    this.w = w;
    this.h = h;

    // Build Body
    BodyDef bd = new BodyDef();      
    bd.type = BodyType.STATIC;
    bd.position.set(box2d.coordPixelsToWorld(x+w/2,y+h/2));
    body = box2d.createBody(bd);


   // Define a polygon (this is what we use for a rectangle)
    PolygonShape sd = new PolygonShape();
    float box2dW = box2d.scalarPixelsToWorld(w/2);
    float box2dH = box2d.scalarPixelsToWorld(h/2);  // Box2D considers the width and height of a
    sd.setAsBox(box2dW, box2dH);            // rectangle to be the distance from the
                           // center to the edge (so half of what we
                          // normally think of as width or height.) 
    // Define a fixture
    FixtureDef fd = new FixtureDef();
    fd.shape = sd;
    // Parameters that affect physics
    fd.density = 1;
    fd.friction = 0.3;
    fd.restitution = 0.5;

    // Attach Fixture to Body               
    body.createFixture(fd);
  }

  void display() {
    // We need the Body’s location and angle
    Vec2 pos = box2d.getBodyPixelCoord(body);
    fill(#00FF00);
    stroke(#000000);
    rect(pos.x - w/2, pos.y - h/2, w, h);
    //float a = body.getAngle();

    //pushMatrix();
    //translate(pos.x,pos.y);    // Using the Vec2 position and float angle to
    //rotate(-a);              // translate and rotate the rectangle
    //fill(175);
    //stroke(0);
    //rectMode(CENTER);
    //rect(0,0,w,h);
    //popMatrix();
  }

}