import shiffman.box2d.*;
import org.jbox2d.collision.shapes.*;
import org.jbox2d.common.*;
import org.jbox2d.dynamics.*;

ArrayList<BoxSonic> alist;
Box2DProcessing box2d;
Boundary b;
Boundary top;

void setup(){
  size(800, 600, P2D);
  alist = new ArrayList<BoxSonic>();
  box2d = new Box2DProcessing(this);
  box2d.createWorld();
  
  box2d.setGravity(0, -10);
  
  b = new Boundary(0, height - 10, width, 10);
  top = new Boundary(0, 10, width, 10);
}

void draw(){
  background(#FFFFFF);
  
  box2d.step();
  b.display();
  top.display();
  for(BoxSonic s : alist){
    s.step();
  }
}

void keyPressed(){
  if(key == CODED){
    if(keyCode == LEFT){
        for(BoxSonic s : alist){
          s.moveLeft();
        }
    }
    if(keyCode == RIGHT){
        for(BoxSonic s : alist){
          s.moveRight();
        }
    }
    if(keyCode == UP){
        for(BoxSonic s : alist){
          s.moveUp();
        }
    }
  }
}








void mousePressed(){
  alist.add(new BoxSonic(mouseX, mouseY, box2d));
}